__gnu_parallel::_LoserTreePointerUnguarded< __stable, _Tp, _Compare >(3cxx)

NAME
__gnu_parallel::_LoserTreePointerUnguarded< __stable, _Tp, _Compare > - Stable unguarded _LoserTree variant storing pointers.

SYNOPSIS

#include <losertree.h>

Inherits __gnu_parallel::_LoserTreePointerUnguardedBase< _Tp, _Compare >.

  Public Member Functions

_LoserTreePointerUnguarded (unsigned int __k, const _Tp &__sentinel, _Compare __comp=std::less< _Tp >())
void __delete_min_insert (const _Tp &__key, bool __sup)
int __get_min_source ()
void __init ()
unsigned int __init_winner (unsigned int __root)
void __insert_start (const _Tp &__key, int __source, bool)

  Protected Attributes

unsigned int _M_ik
unsigned int _M_offset

Detailed Description

  template<bool __stable, typename _Tp, typename _Compare>
class __gnu_parallel::_LoserTreePointerUnguarded< __stable, _Tp, _Compare >"Stable unguarded _LoserTree variant storing pointers.

Unstable variant is implemented below using partial specialization.

Definition at line 891 of file losertree.h.

Constructor & Destructor Documentation

  template<bool __stable, typename _Tp , typename _Compare > __gnu_parallel::_LoserTreePointerUnguarded< __stable, _Tp, _Compare >::_LoserTreePointerUnguarded (unsigned int __k, const _Tp & __sentinel, _Compare __comp = std::less<_Tp>()) [inline]

Definition at line 900 of file losertree.h.

Member Function Documentation

  template<bool __stable, typename _Tp , typename _Compare > void __gnu_parallel::_LoserTreePointerUnguarded< __stable, _Tp, _Compare >::__delete_min_insert (const _Tp & __key, bool __sup) [inline]

Definition at line 943 of file losertree.h.

  template<typename _Tp , typename _Compare > int __gnu_parallel::_LoserTreePointerUnguardedBase< _Tp, _Compare >::__get_min_source () [inline], [inherited]

Definition at line 866 of file losertree.h.

  template<bool __stable, typename _Tp , typename _Compare > void __gnu_parallel::_LoserTreePointerUnguarded< __stable, _Tp, _Compare >::__init () [inline]

Definition at line 931 of file losertree.h.

  template<bool __stable, typename _Tp , typename _Compare > unsigned int __gnu_parallel::_LoserTreePointerUnguarded< __stable, _Tp, _Compare >::__init_winner (unsigned int __root) [inline]

Definition at line 906 of file losertree.h.

  template<typename _Tp , typename _Compare > void __gnu_parallel::_LoserTreePointerUnguardedBase< _Tp, _Compare >::__insert_start (const _Tp & __key, int __source, bool) [inline], [inherited]

Definition at line 876 of file losertree.h.

Member Data Documentation

  template<typename _Tp , typename _Compare > unsigned int __gnu_parallel::_LoserTreePointerUnguardedBase< _Tp, _Compare >::_M_ik [protected], [inherited]

Definition at line 837 of file losertree.h.

  template<typename _Tp , typename _Compare > unsigned int __gnu_parallel::_LoserTreePointerUnguardedBase< _Tp, _Compare >::_M_offset [protected], [inherited]

Definition at line 837 of file losertree.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.